Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.execution.factory
Class FlowExecutionListenerCriteriaFactory

    java.lang.Object
      org.springframework.webflow.execution.factory.FlowExecutionListenerCriteriaFactory

    public class FlowExecutionListenerCriteriaFactory

extends java.lang.Object

Static factory for creating commonly used flow execution listener criteria.

Author:
  Keith Donald, Erwin Vervaet
See Also:
  `FlowExecutionListenerCriteria`

Constructor Summary
`FlowExecutionListenerCriteriaFactory()`

Method Summary
`FlowExecutionListenerCriteria` | `allFlows()` Returns a wild card criteria that matches all flows.
`FlowExecutionListenerCriteria` | `flow(java.lang.String flowId)` Returns a criteria that just matches a flow with the specified id.
`FlowExecutionListenerCriteria` | `flows(java.lang.String[] flowIds)` Returns a criteria that just matches a flow if it is identified by one of the specified ids.
`FlowExecutionListenerCriteria` | `getListenerCriteria(java.lang.String encodedCriteria)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlowExecutionListenerCriteriaFactory

    public FlowExecutionListenerCriteriaFactory()

Method Detail

### getListenerCriteria

    public FlowExecutionListenerCriteria getListenerCriteria(java.lang.String encodedCriteria)

### allFlows

    public FlowExecutionListenerCriteria allFlows()

  Returns a wild card criteria that matches all flows.

### flow

    public FlowExecutionListenerCriteria flow(java.lang.String flowId)

  Returns a criteria that just matches a flow with the specified id.

  Parameters:
    `flowId` - the flow id to match

### flows

    public FlowExecutionListenerCriteria flows(java.lang.String[] flowIds)

  Returns a criteria that just matches a flow if it is identified by one of the specified ids.

  Parameters:
    `flowIds` - the flow ids to match

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD